- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxBindingOperator::Function Class Reference

Search for all occurrences

## Detailed Description

It represents a binding relationship between current object and the target.

Any binding operation need to specify a certain kind of binding function.

Definition at line 186 of file fbxbindingoperator.h.

`#include <fbxbindingoperator.h>`

Inheritance diagram for FbxBindingOperator::Function:
[legend]

List of all members.

## Public Member Functions
virtual | ~Function ()
| Destructor.
virtual bool | Evaluate (FbxBindingOperator const *pOperator, FbxObject const *pObject, EFbxType *pResultType, void **pResult) const =0
| Run the operator on the given object.
virtual bool | ReverseEvaluate (FbxBindingOperator const *pOperator, FbxObject const *pTarget, void const *pIn, void **pOut, EFbxType *pOutType, bool setObj, int index) const =0
| Run the inverse operator on the given object, assigning the result directly to the object.

## Constructor & Destructor Documentation

virtual ~Function | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 190 of file fbxbindingoperator.h.

    {}

## Member Function Documentation

virtual bool Evaluate | ( | FbxBindingOperator const * | pOperator,
|  | FbxObject const * | pObject,
|  | EFbxType * | pResultType,
|  | void ** | pResult
| ) |  | const `[pure virtual]`

Search for all occurrences

Run the operator on the given object.

Parameters:

  pObject | The object that will be evaluated.
  pResultType | Will be filled by the type of the result.
  pResult | Will be filled by a pointer to a buffer that hold the result. The caller must call FreeEvaluationResult() when it is done with this pointer.

Returns:
  `true` on success, `false` otherwise.

Implemented in FbxNodePositionBOF, FbxNodeDirectionBOF, FbxAssignBOF, FbxConditionalBOF, FbxSwitchBOF, FbxTRSToMatrixBOF, FbxAddBOF, FbxSubstractBOF, FbxMultiplyBOF, FbxMultiplyDistBOF, FbxOneOverXBOF, FbxPowerBOF, FbxDegreeToRadianBOF, FbxVectorDegreeToVectorRadianBOF, FbxSphericalToCartesianBOF, FbxIsYupBOF, FbxSymbolIDBOF, and FbxSpotDistributionChooserBOF.

virtual bool ReverseEvaluate | ( | FbxBindingOperator const * | pOperator,
|  | FbxObject const * | pTarget,
|  | void const * | pIn,
|  | void ** | pOut,
|  | EFbxType * | pOutType,
|  | bool | setObj,
|  | int | index
| ) |  | const `[pure virtual]`

Search for all occurrences

Run the inverse operator on the given object, assigning the result directly to the object.

Parameters:

  pOperator | The operator that will be applied.
  pTarget | The object that will be evaluated.
  pIn |
  pOut |
  pOutType | Type of value being reversed.
  setObj | Control to set the property (only to query by the default ).
  index | Used only in FbxMultiplyDistBOF.

Returns:
  `true` on success, `false` otherwise.

Implemented in FbxNodePositionBOF, FbxNodeDirectionBOF, FbxAssignBOF, FbxConditionalBOF, FbxSwitchBOF, FbxTRSToMatrixBOF, FbxAddBOF, FbxSubstractBOF, FbxMultiplyBOF, FbxMultiplyDistBOF, FbxOneOverXBOF, FbxPowerBOF, FbxDegreeToRadianBOF, FbxVectorDegreeToVectorRadianBOF, FbxSphericalToCartesianBOF, FbxIsYupBOF, FbxSymbolIDBOF, and FbxSpotDistributionChooserBOF.

The documentation for this class was generated from the following file:

- fbxsdk/scene/shading/fbxbindingoperator.h

FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function
FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function FbxBindingOperator::Function